Get Message

**CLI:** ```bash agentmail inboxes:messages get --inbox-id <inbox_id> --message-id <message_id> ```

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
message_idstringRequired
ID of message.

Response

This endpoint returns an object.
inbox_idstring
The ID of the inbox.
thread_idstring
ID of thread.
message_idstring
ID of message.
labelslist of strings
Labels of message.
timestampdatetime
Time at which message was sent or drafted.
fromstring

Address of sender. In format username@domain.com or Display Name <username@domain.com>.

tolist of strings

Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.

sizeinteger
Size of message in bytes.
updated_atdatetime
Time at which message was last updated.
created_atdatetime
Time at which message was created.
reply_tolist of stringsOptional

Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.

cclist of stringsOptional

Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.

bcclist of stringsOptional

Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.

subjectstringOptional
Subject of message.
previewstringOptional
Text preview of message.
textstringOptional
Plain text body of message.
htmlstringOptional
HTML body of message.
extracted_textstringOptional
Extracted new text content.
extracted_htmlstringOptional
Extracted new HTML content.
attachmentslist of objectsOptional
Attachments in message.
in_reply_tostringOptional
ID of message being replied to.
referenceslist of stringsOptional
IDs of previous messages in thread.
headersmap from strings to stringsOptional
Headers in message.

Errors

404
Not Found Error